/*
 * This file is part of the coreboot project.
 *
 * Copyright (C) 2010 Anders Jenbo <anders@jenbo.dk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef RAMINIT_H
#define RAMINIT_H

//TODO Figure out the if it support 4 or 3, VIA says max 512 per sim and max 1.5G total.
//Atleast one ASUS board using VIA Apollo Pro 133A has 4 DIMMs
/* The VT694 supports up to three, or maybe 4... DIMMs. */
#define DIMM_SOCKETS 3

//TODO are theas numbers right?
/* DIMMs 1-4 are at 0x56, 0x57, 0x5a, 0x5f. */
#define DIMM_SPD_BASE 0x5a

#endif /* RAMINIT_H */
